# Function normalizeLineOutline

- normalizeLineOutline(outline?): {
  color: number[];
  type: "simple-line";
  width: number;
  }

- Normalizes an outline object into a simple line symbol properties object.

  #### Parameters

  - `Optional` outline: {
    color?: number[];
    type?: string;
    width?: number;
    }

    The outline properties to normalize.

    - ##### `Optional` color?: number[]

      The color of the outline.

    - ##### `Optional` type?: string

      The type of the outline.

    - ##### `Optional` width?: number

      The width of the outline.

  #### Returns {
  color: number[];
  type: "simple-line";
  width: number;
  }

  An object containing `type`, `color`, and `width` for a SimpleLineSymbol.

  - ##### color: number[]

  - ##### type: "simple-line"

  - ##### width: number